[Unit]
Description=A user-space file system for interacting with Google Cloud Storage
After=systemd-networkd.service

[Service]
Type=simple
Environment=PATH=$PATH:/opt/bin:/bin
ExecStart=/usr/bin/gcsfuse -o allow_other -file-mode=777 -dir-mode=777 --foreground {{ mount.bucket.name }} {{ mount.dir }}
ExecStop=/bin/fusermount -u {{ mount.dir }}
User={{ mount.user }}

[Install]
WantedBy=multi-user.target
